%define name 	libcoaster
%define ver	0.1
%define pre 1
%define version %{ver}pre%{pre}
%define release 4mdk

%define major 	0
%define libname %mklibname coaster %major

Summary: 	GNOME burner settings and interface
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://coaster-burn.org/
License: 	GPL
Group: 		System/Libraries
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	libburn-devel libglade2.0-devel libgnomeui2-devel
BuildRequires:	perl-XML-Parser
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
Libcoaster is a library designed with one goal. Central preferences control on
burners. What this means is, one setting for all applications that use
libcoaster. This allows the user to get what is needed done, done in a timely
manner. No more having to reconfigure preferences for an application that uses
a burner. Also, libcoaster brings uniformity to the desktop with shared
capplets and logging capabilities. Libcoaster, however, is not a wrapper
library for libburn. Libburn is required only to poll devices and their
capabilities.

%package capplet
Group:		Graphical desktop/GNOME
Summary:	Applet to configure burning properties for libcoaster

%description capplet
Libcoaster is a library designed with one goal. Central preferences control on
burners. What this means is, one setting for all applications that use
libcoaster. This allows the user to get what is needed done, done in a timely
manner. No more having to reconfigure preferences for an application that uses
a burner. Also, libcoaster brings uniformity to the desktop with shared
capplets and logging capabilities. Libcoaster, however, is not a wrapper
library for libburn. Libburn is required only to poll devices and their
capabilities.

This package includes the GNOME control center applet for libcoaster.

%package -n	%libname
Group:		System/Libraries
Summary:	GNOME burner settings and interface

%description -n %libname
Libcoaster is a library designed with one goal. Central preferences control on
burners. What this means is, one setting for all applications that use
libcoaster. This allows the user to get what is needed done, done in a timely
manner. No more having to reconfigure preferences for an application that uses
a burner. Also, libcoaster brings uniformity to the desktop with shared
capplets and logging capabilities. Libcoaster, however, is not a wrapper
library for libburn. Libburn is required only to poll devices and their
capabilities.

%package -n %libname-devel
Group:          Development/C
Summary:        Static libraries and header files from %name
Provides:       %name-devel = %version-%release
Requires:       %libname = %version-%release

%description -n %libname-devel
Static libraries and headers from %name.

%prep
%setup -q

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post capplet
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/libcoaster.schemas > /dev/null

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files capplet
%defattr(-,root,root)
%doc AUTHORS ChangeLog DOCUMENTERS HACKING MAINTAINERS NEWS TODO
%_bindir/*
%_sysconfdir/gconf/schemas/*
%_datadir/control-center-2.0/capplets/gnome-burn-preferences.desktop
%_datadir/pixmaps/gnome-burn-preferences.png

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog DOCUMENTERS HACKING MAINTAINERS NEWS TODO
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_libdir/pkgconfig/*.pc
%_includedir/%name-%ver/%name/*.h

%changelog
* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.1pre1-4mdk
- Rebuild

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1pre1-3mdk
- fix buildrequires

* Fri Jul 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1pre1-2mdk
- fix buildrequires

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1pre1-1mdk
- update file list
- new version

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.1patch15-2mdk
- fix schemas install
- add some docs

* Wed Jul 14 2004 Austin Acton <austin@mandrake.org> 0.1patch15-1mdk
- initial release

